Skip to navigation

Get Query Status

Retrieves a query’s status.

This method requires a query ID, which you can get only from the Run Query response.

When a query is completed, you can retrieve the query results in one of these ways:

  • Following the outputLocation URI in this method’s response object. The URI points to where the results are stored as a CSV file.
  • Calling Get Query Result. Get Query Result returns a paginated array of results as JSON for additional processing or handling.

If the query failed, see Troubleshooting Queries for possible errors and how to resolve them.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project that contains the query status you want to retrieve. You can see your project ID in the API Credentials page in your global management console.

queryIdstringRequired

Query ID returned by Run Query.

Response

Query status retrieved.
statusenum

Query status. If completed, the query results can be retrieved. UNSPECIFIED is supported only in responses.

Allowed values:
runningTimeMsintegerOptional
Time the query took to run, in milliseconds.
errorMessagestring or nullOptional

Error message. Present only if the status is FAILED.

outputLocationslist of stringsOptional

Locations where the query results are saved to. This is set by destination in the Run Query request body.

Errors

404
Not Found Error